## cinder 2015.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
anyjson>=0.3.3
Babel>=1.3
eventlet>=0.16.1,!=0.17.0
greenlet>=0.3.2
iso8601>=0.1.9
keystonemiddleware>=1.5.0,<1.6.0
kombu>=2.5.0
lxml>=2.3
netaddr>=0.7.12
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0
oslo.rootwrap>=1.6.0,<1.7.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
osprofiler>=0.3.0                       # Apache-2.0
paramiko>=1.13.0
Paste
PasteDeploy>=1.5.0
pycrypto>=2.6
pyparsing>=2.0.1
python-barbicanclient>=3.0.1,<3.1.0
python-glanceclient>=0.15.0,<0.18.0
python-novaclient>=2.22.0,<2.24.0
python-swiftclient>=2.2.0,<2.5.0
requests>=2.2.0,!=2.4.0
retrying>=1.2.3,!=1.3.0 # Apache-2.0
Routes>=1.12.3,!=2.0
taskflow>=0.7.1,<0.8.0
rtslib-fb>=2.1.41
six>=1.9.0
SQLAlchemy>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.5
stevedore>=1.3.0,<1.4.0  # Apache-2.0
suds>=0.4
WebOb>=1.2.3
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.vmware>=0.11.1,<0.12.0                     # Apache-2.0
