## cinder 2015.1.0+2015.06.16.git26.9634b76ba5

=== debian/changelog ===
cinder (2015.1.0+2015.06.16.git26.9634b76ba5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jun 2015 22:46:29 +0200
