=== debian/changelog ===
cinder (1:2015.1.2-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Resynchronize with stable/kilo (1ec74b8) (LP: #1506058):
    - [1ec74b8] Fix test_misc for WebOb 1.5
    - [0105618] Prevent missing Purity hosts from raising errors
    - [64998f1] Improve 3PAR driver VLUN creation and deletion
    - [f8cf3e6] Use prefix for SolidFire template account
    - [813cf65] Fix NetApp loop in clone of NFS backed images
    - [9314616] Fix HDS HNAS driver logging password as plain text
    - [5d86fcb] Fix volume creation from image with allowed_direct_url_schemes
    - [47351ad] Handle FC LUN IDs greater 255 correctly on s390x architectures
    - [d836a8f] Prevent creating encrypted volume with image
    - [ef0d680] RemoteFS: Fix the offline snapshot delete operation
    - [d0cfa7a] remotefs: Fix doc string for _create_snapshot
    - [693465f] Storwize driver should only report active wwpn port
    - [e60bf62] Reduced file size to prevent timeout
    - [fd38f1d] Don't return Exception when volume is detached
    - [db37223] Dell SC: Fix legacy, init_conn and REST API bug
    - [b3a301b] Support host type specific block volume attachment
    - [4d27945] Add deactivate step to extend_lv

  [ Corety Byrant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 14 Oct 2015 10:23:53 -0400

cinder (1:2015.1.1-0ubuntu2) vivid; urgency=medium

  * Additional support for stable/kilo (LP: #1481008):
    - debian/patches/CVE-2015-1851.patch: Dropped. Fixed upstream.

 -- David Ames <david.ames@canonical.com>  Thu, 06 Aug 2015 08:52:22 -0700

cinder (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (651bab0) (LP: #1481008):
    - [b130f00] Fix NetApp cDOT driver use of Glance locations
    - [3388fff] Volume manager should set filter_function and goodness_function
    - [08ff005] Update expected error message from lvs
    - [27b5e75] Revert "Graceful shutdown WSGI/RPC server"
    - [4f86ae7] Fix 'no actual-pathname' NetApp API error
    - [70c6a35] Graceful shutdown WSGI/RPC server
    - [6c05594] Add exception catch in report_state for DBError
    - [50db0fc] Fix broken export commands on block_device driver
    - [9634b76] Disallow backing files when uploading volumes to image
    - [223b258] Fix cinder concurrency issues on rtstool
    - [ea9e2e0] Create iSCSI lio portals with right IPs and port
    - [f8149fc] Dispose DB connections between backend proc starts
    - [28bb8d2] Allow provisioning to reach max oversubscription
    - [0490f1c] Create initiator id for VMAX iSCSI driver
    - [28df54c] Fix capacity filter to allow oversubscription
    - [c56bbb7] VMware: Fix missing target resource pool
    - [03562c3] Check volume_backend in retype
    - [5ff9497] Use nfs_oversub_ratio when reporting pool capacity
    - [9affeaf] NFS Backup: Correcting backup_sha_block_size_bytes help message
    - [c0f12f2] LVM: Pass volume size in MiB to copy_volume() during volume migration
    - [e316d6f] Dell: Added support for update_migrated_volume
    - [f0a4447] Allow rexports for targets with Datera
    - [dabbaed] HDS HNAS Driver fails when FS unhealthy
    - [a5908fd] Revert state if attachment already exists
    - [651bab0] VolMgr: reschedule only when filter_properties has retry
  * d/p/fix-requirements.patch: Rebased.

 -- David Ames <david.ames@canonical.com>  Mon, 03 Aug 2015 10:43:21 -0700

cinder (1:2015.1.0-0ubuntu1.1) vivid-security; urgency=medium

  * SECURITY UPDATE: arbitrary file read via crafted qcow2 backing file
    - debian/patches/CVE-2015-1851.patch: disallow backing files in
      cinder/image/image_utils.py, added test to
      cinder/tests/test_image_utils.py.
    - CVE-2015-1851

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Jul 2015 10:37:01 -0400
