## cinder 2015.1.4

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 pbr!=0.7,<1.0,>=0.6
 anyjson>=0.3.3
-Babel>=1.3
+Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
 eventlet!=0.17.0,>=0.16.1
 greenlet>=0.3.2
 iso8601>=0.1.9
@@ -22,7 +22,7 @@
 oslo.rootwrap<1.7.0,>=1.6.0 # Apache-2.0
 oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0
 oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0
-osprofiler>=0.3.0 # Apache-2.0
+osprofiler<1.0,>=0.3.0 # Apache-2.0
 paramiko>=1.13.0
 Paste
 PasteDeploy>=1.5.0
@@ -32,9 +32,9 @@
 python-glanceclient<0.18.0,>=0.15.0
 python-novaclient<2.24.0,>=2.22.0
 python-swiftclient<2.5.0,>=2.2.0
-requests!=2.4.0,>=2.2.0
+requests!=2.4.0,<2.8.0,>=2.2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
-Routes!=2.0,>=1.12.3
+Routes!=2.0,<2.3.0,>=1.12.3
 taskflow<0.8.0,>=0.7.1
 rtslib-fb>=2.1.41
 six>=1.9.0
