=== debian/changelog ===
cinder (1:2015.1.4-0ubuntu1.3) trusty-kilo; urgency=medium

  * Fix issue that upload-to-image doesn't copy os_type property
    (LP: #1692446):
    - d/p/0001-Fix-volume-upload-failure-with-glance_api_version-2.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Tue, 23 May 2017 14:19:10 +0900

cinder (1:2015.1.4-0ubuntu1.2) trusty-kilo; urgency=medium

  * Move RBD calls to a separate thread to avoid blocking the main process. (LP: #1401335):
    - d/p/lp1401335-Move-RBD-calls-to-a-separate-threads.patch

 -- Matt Rae <matt.rae@canonical.com>  Fri, 31 Mar 2017 16:56:33 +0000

cinder (1:2015.1.4-0ubuntu1.1) trusty-kilo; urgency=medium

  * Fix extract properties from image with glance api v2 (LP: #1323660):
    - d/p/fix-properties-extracting-from-image-with-glance-api.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Sat, 03 Dec 2016 02:07:55 +0900

cinder (1:2015.1.4-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1580334).
  * d/p/fix-requirements.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 May 2016 16:59:28 -0400

cinder (1:2015.1.3-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1559215).

 -- James Page <james.page@ubuntu.com>  Sat, 19 Mar 2016 08:54:31 +0000
